﻿Version=6.80
NumberOfForms=1
Form1=frmSetup
NumberOfObjects=1
Object1=flbSetup:FormLib
Sub designer
addform(frmSetup,"Setup","",0,0,0)@
addpanel(frmsetup,pnlGeneral,0,115,240,145,0,0,0,True,True)@
addlabel(pnlgeneral,lblLoadPreviousFile,45,50,190,35,"Load previous file",0,0,0,255,255,255,True,True,9,False)@
addlabel(pnlgeneral,lblPromptBeforeQuit,45,10,190,35,"Prompt before leaving",0,0,0,255,255,255,True,True,9,False)@
addcheckbox(pnlgeneral,cbxLoadPreviousFile,15,45,20,40,"",0,0,0,255,255,255,True,True,False,9)@
addcheckbox(pnlgeneral,cbxPromptBeforeQuit,15,10,20,35,"",0,0,0,255,255,255,True,True,False,9)@
addpanel(frmsetup,Panel1,0,35,240,75,0,0,0,True,True)@
addradiobtn(panel1,rbtItalian,85,45,75,25,"Italiano",0,0,0,255,255,255,True,True,False,9)@
addradiobtn(panel1,rbtPortuguese,160,45,75,25,"Portuges",0,0,0,255,255,255,True,True,False,9)@
addradiobtn(panel1,rbtSpanish,160,25,75,25,"Español",0,0,0,255,255,255,True,True,False,9)@
addradiobtn(panel1,rbtFrench,85,25,75,25,"Français",0,0,0,255,255,255,True,True,False,9)@
addradiobtn(panel1,rbtGerman,5,45,75,25,"Deutsch",0,0,0,255,255,255,True,True,False,9)@
addradiobtn(panel1,rbtEnglish,5,25,75,25,"English",0,0,0,255,255,255,True,True,False,9)@
addlabel(panel1,lblSetupLanguage,5,5,75,25,"Language",0,0,0,255,255,0,True,True,11,False)@
addimagebutton(frmsetup,btnSetupExit,211,2,29,29,"",212,208,200,0,0,0,"cNormalImage","btnExit.bmp",True,True,True,9)@
End Sub
@EndOfDesignText@
Sub Globals
	'Declare the global variables here.
	Public Language
	Public cEnglish
	Public cGerman
	Public cFrench
	Public cItalian
	Public cSpanish
	Public cPortuguese
	
	cEnglish="E"
	cGerman="D"
	cFrench="F"
	cItalian="I"
	cSpanish="S"
	cPortuguese="P"
	Language="E"
	
	Public PromptBeforeQuit
	Public LoadPreviousFile
	PromptBeforeQuit=True
	LoadPreviousFile=False
	
	Public GTextNb
	Public GText(30)
	Public TextNb
	Public Text(60)
	
	Init=0
	ReturnTo=""
End Sub

Public Sub Show(ReturnToSub)
	ReturnTo=ReturnToSub
	frmSetup.Show

	SetupInit
	UpdateLanguage
End Sub

Sub SetupInit
	If Init=0 Then
		flbSetup.New1("frmSetup",B4PObject(1))
	
		flbSetup.SetFontStyle("lblSetupLanguage",True,False,False,False)
	
		AddEvent("rbtEnglish",Click,"rbtLanguage_Click")
		AddEvent("rbtGerman",Click,"rbtLanguage_Click")
		AddEvent("rbtFrench",Click,"rbtLanguage_Click")
		AddEvent("rbtItalian",Click,"rbtLanguage_Click")
		AddEvent("rbtSpanish",Click,"rbtLanguage_Click")
		AddEvent("rbtPortuguese",Click,"rbtLanguage_Click")

		Init=1
	End If
	If Not(FileExist(AppPath&"\lng\"&Main.ProgName&"D.txt")) Then
		rbtGerman.Enabled=False
	End If
	If Not(FileExist(AppPath&"\lng\"&Main.ProgName&"F.txt")) Then
		rbtFrench.Enabled=False
	End If
	If Not(FileExist(AppPath&"\lng\"&Main.ProgName&"I.txt")) Then
		rbtItalian.Enabled=False
	End If
	If Not(FileExist(AppPath&"\lng\"&Main.ProgName&"S.txt")) Then
		rbtSpanish.Enabled=False
	End If
	If Not(FileExist(AppPath&"\lng\"&Main.ProgName&"P.txt")) Then
		rbtPortuguese.Enabled=False
	End If
	
	Select Language
	Case cEnglish
		rbtEnglish.Checked=True
	Case cGerman
		rbtGerman.Checked=True
	Case cFrench
		rbtFrench.Checked=True
	Case cItalian
		rbtItalian.Checked=True
	Case cSpanish
		rbtSpanish.Checked=True
	Case cPortuguese
		rbtPortuguese.Checked=True
	End Select
	
	cbxLoadPreviousFile.Checked=LoadPreviousFile
	cbxPromptBeforeQuit.Checked=PromptBeforeQuit
End Sub

Sub btnSetupExit_Click
	frmSetup.Close
	CallSub(ReturnTo)
End Sub

Public Sub SetupLoad
	Dim file
	
	file=AppPath&"\Setup.ini"
	
	If Not(FileExist(file)) Then
		Return
	End If
	
	FileOpen(c1,file,cRead)

	Language=FileRead(c1)
	LoadPreviousFile=FileRead(c1)
	PromptBeforeQuit=FileRead(c1)
	
	FileClose(c1)
End Sub

Public Sub SetupSave
	FileOpen(c2,AppPath&"\Setup.ini",cWrite)
	
	FileWrite(c2,Language)
	FileWrite(c2,LoadPreviousFile)
	FileWrite(c2,PromptBeforeQuit)
	
	FileClose(c2)
End Sub

Sub rbtLanguage_Click
	Select Sender
	Case "rbtenglish"
		Language=cEnglish
	Case "rbtgerman"
		Language=cGerman
	Case "rbtfrench"
		Language=cFrench
	Case "rbtitalian"
		Language=cItalian
	Case "rbtspanish"
		Language=cSpanish
	Case "rbtportuguese"
		Language=cPortuguese
	End Select
	LoadGeneralTexts
	LoadProgTexts
	UpdateLanguage
End Sub

Sub rbtPromptBeforeQuit_Click

End Sub

Sub UpdateLanguage
	lblSetupLanguage.Text=GText(1)
	lblPromptBeforeQuit.Text=GText(2)
	lblLoadPreviousFile.Text=GText(3)
End Sub

Public Sub LoadGeneralTexts
	Dim i,file
	
	file=AppPath&"\lng\GText"&Language&".txt"
	FileOpen(c3,file,cRead)
	GTextNb=FileRead(c3)
	For i=0 To GTextNb
		GText(i)=FileRead(c3)
	Next
	FileClose(c3)
End Sub

Public Sub LoadProgTexts
	Dim i,file
	
	file=AppPath&"\lng\Sudoku"&Language&".txt"
	FileOpen(c1,file,cRead)
	TextNb=FileRead(c1)
	For i=0 To TextNb
		Text(i)=FileRead(c1)
	Next
	FileClose(c1)
End Sub